| cpu_riscv Vitis Drivers API Documentation

- Overview
- APIs
- File List

Macros | Typedefs | Functions
Overview

## Macros
#define | XIo_In8(InputPtr) (*(volatile u8 *)(InputPtr))
| Performs an input operation for an 8-bit memory location by reading from the specified address and returning the value read from that address. More...
#define | XIo_In16(InputPtr) (*(volatile u16 *)(InputPtr))
| Performs an input operation for a 16-bit memory location by reading from the specified address and returning the value read from that address. More...
#define | XIo_In32(InputPtr) (*(volatile u32 *)(InputPtr))
| Performs an input operation for a 32-bit memory location by reading from the specified address and returning the value read from that address. More...
#define | XIo_Out8(OutputPtr, Value) (*(volatile u8 *)((OutputPtr)) = (Value))
| Performs an output operation for an 8-bit memory location by writing the specified value to the the specified address. More...
#define | XIo_Out16(OutputPtr, Value) (*(volatile u16 *)((OutputPtr)) = (Value))
| Performs an output operation for a 16-bit memory location by writing the specified value to the the specified address. More...
#define | XIo_Out32(OutputPtr, Value) (*(volatile u32 *)((OutputPtr)) = (Value))
| Performs an output operation for a 32-bit memory location by writing the specified value to the the specified address. More...

## Typedefs
typedef u32 | XIo_Address
| Typedef for an I/O address. More...

## Functions
void | XIo_EndianSwap16 (u16 Source, u16 *DestPtr)
| Performs a 16-bit endian converion. More...
void | XIo_EndianSwap32 (u32 Source, u32 *DestPtr)
| Performs a 32-bit endian converion. More...
u16 | XIo_InSwap16 (XIo_Address InAddress)
| Performs an input operation for a 16-bit memory location by reading from the specified address and returning the byte-swapped value read from that address. More...
u32 | XIo_InSwap32 (XIo_Address InAddress)
| Performs an input operation for a 32-bit memory location by reading from the specified address and returning the byte-swapped value read from that address. More...
void | XIo_OutSwap16 (XIo_Address OutAddress, u16 Value)
| Performs an output operation for a 16-bit memory location by writing the specified value to the the specified address. More...
void | XIo_OutSwap32 (XIo_Address OutAddress, u32 Value)
| Performs an output operation for a 32-bit memory location by writing the specified value to the the specified address. More...

## Macro Definition Documentation

#define XIo_In16 | ( |  | InputPtr | ) | (*(volatile u16 *)(InputPtr))

Performs an input operation for a 16-bit memory location by reading from the specified address and returning the value read from that address.

Parameters

  InputPtr | contains the address to perform the input operation at.

Returns
  The value read from the specified input address.

Note
  None.

Referenced by XIo_InSwap16().

#define XIo_In32 | ( |  | InputPtr | ) | (*(volatile u32 *)(InputPtr))

Performs an input operation for a 32-bit memory location by reading from the specified address and returning the value read from that address.

Parameters

  InputPtr | contains the address to perform the input operation at.

Returns
  The value read from the specified input address.

Note
  None.

Referenced by XIo_InSwap32().

#define XIo_In8 | ( |  | InputPtr | ) | (*(volatile u8 *)(InputPtr))

Performs an input operation for an 8-bit memory location by reading from the specified address and returning the value read from that address.

Parameters

  InputPtr | contains the address to perform the input operation at.

Returns
  The value read from the specified input address.

Note
  None.

#define XIo_Out16 | ( |  | OutputPtr,
|  |  | Value
| ) |  | (*(volatile u16 *)((OutputPtr)) = (Value))

Performs an output operation for a 16-bit memory location by writing the specified value to the the specified address.

Parameters

  OutputPtr | contains the address to perform the output operation at.
  Value | contains the value to be output at the specified address.

Returns
  None

Note
  None.

Referenced by XIo_OutSwap16().

#define XIo_Out32 | ( |  | OutputPtr,
|  |  | Value
| ) |  | (*(volatile u32 *)((OutputPtr)) = (Value))

Performs an output operation for a 32-bit memory location by writing the specified value to the the specified address.

Parameters

  OutputPtr | contains the address to perform the output operation at.
  Value | contains the value to be output at the specified address.

Returns
  None

Note
  None.

Referenced by XIo_OutSwap32().

#define XIo_Out8 | ( |  | OutputPtr,
|  |  | Value
| ) |  | (*(volatile u8 *)((OutputPtr)) = (Value))

Performs an output operation for an 8-bit memory location by writing the specified value to the the specified address.

Parameters

  OutputPtr | contains the address to perform the output operation at.
  Value | contains the value to be output at the specified address.

Returns
  None

Note
  None.

## Typedef Documentation

typedef u32 XIo_Address

Typedef for an I/O address.

Typically correlates to the width of the address bus.

## Function Documentation

void XIo_EndianSwap16 | ( | u16 | Source,
|  | u16 * | DestPtr
| ) |  |

Performs a 16-bit endian converion.

Parameters

  Source | contains the value to be converted.
  DestPtr | contains a pointer to the location to put the converted value.

Returns
  None.

Note
  None.

void XIo_EndianSwap32 | ( | u32 | Source,
|  | u32 * | DestPtr
| ) |  |

Performs a 32-bit endian converion.

Parameters

  Source | contains the value to be converted.
  DestPtr | contains a pointer to the location to put the converted value.

Returns
  None.

Note
  None.

Referenced by XIo_InSwap32(), and XIo_OutSwap32().

u16 XIo_InSwap16 | ( | XIo_Address | InAddress | ) |

Performs an input operation for a 16-bit memory location by reading from the specified address and returning the byte-swapped value read from that address.

Parameters

  InAddress | contains the address to perform the input operation at.

Returns
  The byte-swapped value read from the specified input address.

Note
  None.

References XIo_In16.

u32 XIo_InSwap32 | ( | XIo_Address | InAddress | ) |

Performs an input operation for a 32-bit memory location by reading from the specified address and returning the byte-swapped value read from that address.

Parameters

  InAddress | contains the address to perform the input operation at.

Returns
  The byte-swapped value read from the specified input address.

Note
  None.

References XIo_EndianSwap32(), and XIo_In32.

void XIo_OutSwap16 | ( | XIo_Address | OutAddress,
|  | u16 | Value
| ) |  |

Performs an output operation for a 16-bit memory location by writing the specified value to the the specified address.

The value is byte-swapped before being written.

Parameters

  OutAddress | contains the address to perform the output operation at.
  Value | contains the value to be output at the specified address.

Returns
  None.

Note
  None.

References XIo_Out16.

void XIo_OutSwap32 | ( | XIo_Address | OutAddress,
|  | u32 | Value
| ) |  |

Performs an output operation for a 32-bit memory location by writing the specified value to the the specified address.

The value is byte-swapped before being written.

Parameters

  OutAddress | contains the address at which the output operation has to be done.
  Value | contains the value to be output at the specified address.

Returns
  None.

Note
  None.

References XIo_EndianSwap32(), and XIo_Out32.